Bug 1118013 - rbldnsd init script has bad status return code
Summary: rbldnsd init script has bad status return code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rbldnsd
Version: el6
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 20:42 UTC by Steve Snodgrass
Modified: 2014-07-26 02:35 UTC (History)
1 user (show)

Fixed In Version: rbldnsd-0.997a-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-26 02:35:08 UTC


Attachments (Terms of Use)

Description Steve Snodgrass 2014-07-09 20:42:35 UTC
Description of problem: The rbldnsd init script 'status' command does not return a non-zero exit code if rbldnsd is not running.  This breaks the ability to manage the service normally through puppet, which looks for that return code to see if the service is running.


Version-Release number of selected component (if applicable): 0.996b-6.el6.x86_64


How reproducible: Always


Steps to Reproduce:
1. service rbldnsd stop
2. service rbldnsd status
3. echo $?

Actual results:

rbldns-01# service rbldnsd status
rbldnsd is stopped
rbldns-01# echo $?
0

Expected results:

Should return a non-zero exit code per LSB:
http://refspecs.linuxbase.org/LSB_3.1.0/LSB-Core-generic/LSB-Core-generic/iniscrptact.html

Additional info:

Comment 1 Fedora Update System 2014-07-10 12:52:17 UTC
rbldnsd-0.997a-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rbldnsd-0.997a-4.el6

Comment 2 Paul Howarth 2014-07-10 12:53:29 UTC
Amazed this bug has lingered so long and nobody noticed!

Comment 3 Steve Snodgrass 2014-07-10 15:00:31 UTC
Thanks so much for the prompt fix and version update.  I just tested the new package and it seems to work great.

Comment 4 Fedora Update System 2014-07-26 02:35:08 UTC
rbldnsd-0.997a-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.